#include <sourcemod> 
#include <sdktools> 
#include <emitsoundany> 

new Handle:EnName, EnN;
new SoundValue[MAXPLAYERS];

new String:SoundF[][] = //Название файлов треков 
{ 
    "beentohell", 
    "calypso", 
    "extinction", 
    "henniegath", 
    "higher", 
    "landline", 
    "mambo", 
    "mechalove", 
    "mryeah", 
    "mywinona", 
    "something", 
    "parasite", 
    "theonly", 
    "thesparpestlives", 
    "thriftshop", 
    "turnitup", 
    "undead", 
    "warofchange", 
    "whore", 
    "witchcraft", 
    "apologize", 
    "anthem", 
    "immatry", 
    "getfree", 
    "painkiller", 
    "shook" 
}

new String:SoundName[][] = //Названия треков 
{ 
    "Hollywood Undead - Been To Hell", 
    "Blonde Acid Cult – Calypso", 
    "Thousand Foot Krutch - E For Extinction", 
    "Kraddy - Henniegath", 
    "Just Blaze and Baauer – Higher", 
    "A-Trak ft. GTA - Landline", 
    "Tropkillaz – Mambo", 
    "Hadouken! - Mecha Love", 
    "Mr. Yeah! – Get Ya Hands Up", 
    "Fall Out Boy – Shes My Winona", 
    "Hadouken! - Something Very Bad", 
    "Hadouken! - Parasite", 
    "Static-X - The Only", 
    "My Chemical Romance - The Sharpest Lives", 
    "Macklemore - Thrift Shop (Remix)", 
    "Yellow Claw – DJ Turn It Up", 
    "Hollywood Undead - Undead", 
    "Thousand Foot Krutch - War of Change", 
    "Papa Roach - Hollywood Whore", 
    "Pendulum - Witchcraft", 
    "Hollywood Undead - Apologize", 
    "Kraddy - Bomb Anthem", 
    "Skrillex - Imma Try It Out", 
    "Major Lazer – Get Free ft. Amber (What So Not﻿ Remix)", 
    "Freestylers feat. Pendulum – Painkiller", 
    "Thousand Foot Krutch - Shook"  
}

public Plugin:myinfo =  
{  
    name = "dP_EndSound",  
    author = "Primo",  
    description = "Playing sounds on end round.",  
    version = "1.1",  
}  

public OnPluginStart()  
{ 
	RegConsoleCmd("dpsound", EnableSoundDP);
	EnName = CreateConVar("dp_esname_enable", "1", "Enable sound name");
	EnN = GetConVarInt(EnName);
	HookEvent("round_end", RoundEnd); 
} 

public Action:EnableSoundDP(client, args)
{
	if(client > 0)
	{
		switch(SoundValue[client])
		{
			case 1:
			{
				SoundValue[client] = 0;
				PrintToChat(client, "Звуки включены");
			}
			case 0:
			{
				SoundValue[client] = 1;
				PrintToChat(client, "Звуки отключены");
			}
		}
	}
}

public OnClientConnected(client)
{
	SoundValue[client] = 0;
}

public OnMapStart() 
{ 
    decl String:Sound[256]; 
    
    for(new i, iSize = sizeof(SoundF); i < iSize; ++i) 
    { 
        FormatEx(Sound, sizeof(Sound), "sound/vround/%s.mp3", SoundF[i]); 
        if(FileExists(Sound))
        {
            AddFileToDownloadsTable(Sound); 
            FormatEx(Sound, sizeof(Sound), "vround/%s.mp3", SoundF[i]); 
            PrecacheSoundAny(Sound);
        }
    } 
} 

public RoundEnd(Handle:event, const String:name[], bool:dontBroadcast)  
{ 
    EmitSoundV();
}  

EmitSoundV()
{
	for(new client=1; client<=MaxClients; client++)
	{
		if(SoundValue[client] == 0 && IsClientInGame(client))
		{
			new i = GetRandomInt(0, sizeof(SoundF)-1);  
			decl String:Sound[256]; 
			FormatEx(Sound, sizeof(Sound), "vround/%s.mp3", SoundF[i]); 
			EmitSoundToClientAny(client, Sound); 
			if(EnN == 1) PrintToChat(client, "Играет \x04 %s", SoundName[i]); 
		}
	}
}